Bug 368360 - Krita does not remember shortcut save location.
Summary: Krita does not remember shortcut save location.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 3.0.1 Beta
Platform: unspecified All
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-06 22:11 UTC by T.R.O Nunes
Modified: 2019-03-23 05:40 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description T.R.O Nunes 2016-09-06 22:11:40 UTC
Krita save/load shortcuts always defaults to Krita root folder which is inconvenient for those who use custom locations for their customization files. As such it would be good if shortcut import export save and load would all default to last used folder instead of hard coded one. 

Reproducible: Always

Steps to Reproduce:
1. Open Krita and save a shortcut file in custom location. 
2. Try to save again
3. Krita has defaulted back to different location. 

Actual Results:  
-

Expected Results:  
-
Comment 1 wolthera 2016-09-25 12:30:10 UTC
Is this with the appimage?
Comment 2 T.R.O Nunes 2016-09-25 18:26:07 UTC
Ah uh Windows 10 64-bit installation version.
Comment 3 wolthera 2017-10-24 13:46:34 UTC
krita is taking the location from where the program is started.
Comment 4 Anna Medonosova 2019-03-23 05:40:42 UTC
Git commit 27678b4ca0c4363ee643a473d6d45244a4b316db by Anna Medonosova.
Committed on 23/03/2019 at 05:40.
Pushed by amedonosova into branch 'master'.

Remember last used dirs for shortcut import/export

Summary:
File dialogs in KShortcutSchemesEditor use KoFileDialog instead of
plain QFileDialog. This allows to remember last used directories for
load/save/import/export.

Load, save and import location now defaults to homedir, instead of the
directory where Krita started.

Reviewers: #krita, rempt

Reviewed By: #krita, rempt

Subscribers: rempt

Tags: #krita

Differential Revision: https://phabricator.kde.org/D19964

M  +5    -0    libs/koplugin/KisMimeDatabase.cpp
M  +40   -34   libs/widgetutils/xmlgui/kshortcutschemeseditor.cpp

https://commits.kde.org/krita/27678b4ca0c4363ee643a473d6d45244a4b316db